Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge
Interface Mapper

All Known Implementing Classes:
  RelationalMapper

    public interface Mapper

Method Summary
`void` | `close()`
`boolean` | `isMapped(OWLClass owlClass)`
`boolean` | `isMapped(OWLProperty owlProperty)`
`Set<OWLIndividual>` | `mapOWLClass(OWLClass owlClass)`
`Set<OWLIndividual>` | `mapOWLClass(OWLClass owlClass, OWLIndividual owlIndividual)`
`Set<OWLDatatypePropertyAssertionAxiom>` | `mapOWLDatatypeProperty(OWLProperty owlProperty)`
`Set<OWLDatatypePropertyAssertionAxiom>` | `mapOWLDatatypeProperty(OWLProperty owlProperty, OWLDatatypeValue value)`
`Set<OWLDatatypePropertyAssertionAxiom>` | `mapOWLDatatypeProperty(OWLProperty owlProperty, OWLIndividual subject)`
`Set<OWLDatatypePropertyAssertionAxiom>` | `mapOWLDatatypeProperty(OWLProperty owlProperty, OWLIndividual subject, OWLDatatypeValue value)`
`Set<OWLObjectPropertyAssertionAxiom>` | `mapOWLObjectProperty(OWLProperty owlProperty)`
`Set<OWLObjectPropertyAssertionAxiom>` | `mapOWLObjectProperty(OWLProperty owlProperty, OWLIndividual subject)`
`Set<OWLObjectPropertyAssertionAxiom>` | `mapOWLObjectProperty(OWLProperty owlProperty, OWLIndividual subject, OWLIndividual object)`
`void` | `open()`

Method Detail

### isMapped

    boolean isMapped(OWLClass owlClass)

### isMapped

    boolean isMapped(OWLProperty owlProperty)

### open

    void open()
              throws MapperException

  Throws:
    `MapperException`

### close

    void close()
               throws MapperException

  Throws:
    `MapperException`

### mapOWLClass

    Set<OWLIndividual> mapOWLClass(OWLClass owlClass)
                                   throws MapperException

  Throws:
    `MapperException`

### mapOWLClass

    Set<OWLIndividual> mapOWLClass(OWLClass owlClass,
                                   OWLIndividual owlIndividual)
                                   throws MapperException

  Throws:
    `MapperException`

### mapOWLDatatypeProperty

    Set<OWLDatatypePropertyAssertionAxiom> mapOWLDatatypeProperty(OWLProperty owlProperty)
                                                                  throws MapperException

  Throws:
    `MapperException`

### mapOWLDatatypeProperty

    Set<OWLDatatypePropertyAssertionAxiom> mapOWLDatatypeProperty(OWLProperty owlProperty,
                                                                  OWLIndividual subject)
                                                                  throws MapperException

  Throws:
    `MapperException`

### mapOWLDatatypeProperty

    Set<OWLDatatypePropertyAssertionAxiom> mapOWLDatatypeProperty(OWLProperty owlProperty,
                                                                  OWLDatatypeValue value)
                                                                  throws MapperException

  Throws:
    `MapperException`

### mapOWLDatatypeProperty

    Set<OWLDatatypePropertyAssertionAxiom> mapOWLDatatypeProperty(OWLProperty owlProperty,
                                                                  OWLIndividual subject,
                                                                  OWLDatatypeValue value)
                                                                  throws MapperException

  Throws:
    `MapperException`

### mapOWLObjectProperty

    Set<OWLObjectPropertyAssertionAxiom> mapOWLObjectProperty(OWLProperty owlProperty)
                                                              throws MapperException

  Throws:
    `MapperException`

### mapOWLObjectProperty

    Set<OWLObjectPropertyAssertionAxiom> mapOWLObjectProperty(OWLProperty owlProperty,
                                                              OWLIndividual subject)
                                                              throws MapperException

  Throws:
    `MapperException`

### mapOWLObjectProperty

    Set<OWLObjectPropertyAssertionAxiom> mapOWLObjectProperty(OWLProperty owlProperty,
                                                              OWLIndividual subject,
                                                              OWLIndividual object)
                                                              throws MapperException

  Throws:
    `MapperException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.